Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005607 [JEDI VCL] 99 Other minor always 2011-06-26 02:21 2012-09-10 14:15
Reporter Moritz Beutel View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0005607: Packages Generator: GetRelativePath() fails if Destination is above Orgin
Description The attached test case (FileUtilsProblem.pas) exhibits the problem. This is the output it yields:
// -----
Orig: jvcl\packages\d15
Dest: jvcl\run
ExpDiff: ..\..\run
Diff: ..\..\run

Orig: E:\jvcl\packages\d15
Dest: E:\jvcl\run\windows
ExpDiff: ..\..\run\windows
Diff: ..\..\run\windows

Orig: dcf\src\packages\d15
Dest: dcf\src
ExpDiff: ..\..
EStringListError: Listenindex ³berschreitet das Maximum (2)

FAIL
// -----

This is why the package generator currently doesn't work for directory layouts which fall into this category.

The attached fix makes GetRelativePath() work correctly (and also fixes a potential AV).
Additional Information
Tags No tags attached.
Attached Files zip file icon FileUtilsProblem.zip [^] (1,327 bytes) 2011-06-26 02:21

- Relationships

-  Notes
(0018952)
obones (administrator)
2011-09-21 14:07

This is now in SVN.
Note that the "potential AV" is a non issue, if one occurs in the constructor of TStringList, the rest of the program is doomed anyway.

- Issue History
Date Modified Username Field Change
2011-06-26 02:21 Moritz Beutel New Issue
2011-06-26 02:21 Moritz Beutel File Added: FileUtilsProblem.zip
2011-06-26 02:21 Moritz Beutel Issue Monitored: Moritz Beutel
2011-09-21 11:49 obones Assigned To => obones
2011-09-21 11:49 obones Status new => acknowledged
2011-09-21 14:07 obones Note Added: 0018952
2011-09-21 14:07 obones Status acknowledged => resolved
2011-09-21 14:07 obones Fixed in Version => Daily / SVN
2011-09-21 14:07 obones Resolution open => fixed
2012-09-10 14:15 obones Fixed in Version Daily / SVN => 3.46


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker